#!/usr/bin/perl -w

# -------------------------------------------------------------------------------------
# admin.cgi
# -------------------------------------------------------------------------------------
#
#       Author : Jean-Michel Hiver (jhiver@mkdoc.com).
#    Copyright : (c) MKDoc Holdings Ltd, 2001
#      Version : $Id: mkdoc.cgi,v 1.9.2.2 2003/06/30 12:43:55 jhiver Exp $
#
#      Unauthorized modification, use, reuse, distribution or redistribution
#      of this module is stricly forbidden
#
#    Description:
#
#      Administrator cgi script - loaded by Apache::Registry from httpd.conf.
#      Defines the mkdoc administrator's interface, who's functionality is
#      defined by the admin plugin config file ($MKDOC_SITE/config/cgi.admin).
#
#    Notes:
#
#      admin.cgi and mkdoc.cgi are virtually identical.
#
# -------------------------------------------------------------------------------------

use strict;
use MKDoc;
use Data::Dumper;

# load the admin plugin configuration file:
eval { MKDoc->process() };
if (defined $@ and $@)
{
    print "Status: 500 Internal Server Error\n";
    print "Content-Type: text/html\n\n";
    if (ref $@) { $@ = Dumper ($@) }
    $@ = Dumper (\%ENV) . "\n\n" . $@;
    warn "SOFTWARE_ERROR\n\n" . $@ . "\n\n";
}

BEGIN {
    $SIG{'__WARN__'} = sub {
	# trap some common error strings that otherwise flood the log files
	warn $_[0] unless ($_[0] =~ /byte of utf8 encoded char at/ or
			   $_[0] =~ /is deprecated/                or
                           $_[0] =~ /IMAPClient\.pm line/);
    }
}


1;
