# use required modules, just to make sure we have them
use CGI;
use XML::Parser;
use XML::RSS;
use Petal;
use Text::Unidecode;
use Unicode::String;
use Unicode::Normalize;
use DBI;
use DBD::mysql;
use Mail::IMAPClient;
use MIME::Base64;
use Date::Manip;
use Time::ParseDate;
use Cache::Cache;

# use modules required for install
use MKDoc::Site::ConfigWriter::MKDocRegistrer;
use MKDoc::Site::ConfigWriter::Httpd_Conf;
use MKDoc::Site::Deploy::DB;
use MKDoc::Site::ConfigUI;
use MKDoc::Site::Config;
use warnings;
use strict;

$MKDoc::Site::Config::CONFIG = do {
    my $config = MKDoc::Site::ConfigUI->new ( MKDoc::Site::ConfigUI->_new_attributes );
    $config->run();
    $config->is_ok() || do {
	print "Exit.\n";
	exit;
    };
    $config;
};

print "\n";

setup_files();

print "\nWriting apache config files\n";

MKDoc::Site::ConfigWriter::Httpd_Conf->setup();
MKDoc::Site::Deploy::DB->setup();
MKDoc::Site::ConfigWriter::MKDocRegistrer->setup();

print <<EOF;


Your mkdoc site has been installed. You should now restart
your http server. Once this is done, go to the following
address:

  $MKDoc::Site::Config::CONFIG->{site_dir}

user: admin
password: admin

Then click on the 'Preferences' link and change the admin password.
EOF

sub setup_files
{
    my $config = $MKDoc::Site::Config::CONFIG;
    my $site_dir = $config->{'site_dir'};
    
    make_dir ("$site_dir");
    make_dir ("$site_dir/su");
    make_dir ("$site_dir/httpd");
    make_dir ("$site_dir/cache");
    make_dir ("$site_dir/tmp");
    make_dir ("$site_dir/log");
    make_dir ("$site_dir/resources");
    make_dir ("$site_dir/resources/templates");
    make_dir ("$site_dir/resources/skin");
    make_dir ("$site_dir/static");
    make_dir ("$site_dir/static/files");
    make_dir ("$site_dir/static/images");

    # this is a bit dubious on a multi-user system... 
    chmod (0777, "$site_dir/cache");
    chmod (0777, "$site_dir/tmp");
    chmod (0777, "$site_dir/static/files");
    chmod (0777, "$site_dir/static/images");
}


sub make_dir
{
    my $dir = shift;
    print "Creating $dir\n";
    -d $dir and return;
    mkdir $dir || die "Cannot create $dir!";
}


1;
